library fancy_textfield;

import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
class FancyTextField extends StatefulWidget {
  final double width;
  final double height;
  final Color borderShadowColor;
  final double borderBlurRadius;
  final double borderSpreadRadius;
  final double borderRadius;
  final String hintText;
  final double hintfontsize;
  FancyTextField({this.width,this.height,this.borderShadowColor,this.borderBlurRadius
    ,this.borderSpreadRadius,this.borderRadius,this.hintText,this.hintfontsize});

  @override
  _FancyTextFieldState createState() => _FancyTextFieldState();
}

class _FancyTextFieldState extends State<FancyTextField> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: widget.width,
      height: widget.height,
      decoration: BoxDecoration(
        borderRadius:BorderRadius.circular( widget.borderRadius)?? BorderRadius.circular(8),
        boxShadow: [

          BoxShadow(
            color: widget.borderShadowColor??Colors.grey.withOpacity(0.5),
            spreadRadius:widget.borderSpreadRadius??2,
            blurRadius: widget.borderBlurRadius??8,
          ),
        ],
      ),
      child: TextFormField(
        decoration: InputDecoration(
            border: InputBorder.none,
            hintText: widget.hintText ??'example',
            hintStyle: TextStyle(fontSize:widget.hintfontsize??14 ,color: Colors.grey)
        ),
      ),
    );
  }
}

